package com.jkcredit.invoice.model.entity.customer;

/**
 * 无车运单导入信息
 * @author mumuxigua
 */
public class CustomerOper {
    private Long id;

    private String customerName;

    private String customerPhone;

    private String company;

    private String createTime;

    private String batchNumber;
    /**
     * 1-运单开始,2-运单结束 3 历史运单操作
     */
    private int operType;

    /**
     * 操作状态
     */
    private int batchStatus;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getCustomerPhone() {
        return customerPhone;
    }

    public void setCustomerPhone(String customerPhone) {
        this.customerPhone = customerPhone;
    }

    public String getCompany() {
        return company;
    }

    public void setCompany(String company) {
        this.company = company;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getBatchNumber() {
        return batchNumber;
    }

    public void setBatchNumber(String batchNumber) {
        this.batchNumber = batchNumber;
    }

    public int getOperType() {
        return operType;
    }

    public void setOperType(int operType) {
        this.operType = operType;
    }

    public int getBatchStatus() {
        return batchStatus;
    }

    public void setBatchStatus(int batchStatus) {
        this.batchStatus = batchStatus;
    }

    @Override
    public String toString() {
        return "CustomerOper{" +
                "id=" + id +
                ", customerName='" + customerName + '\'' +
                ", customerPhone='" + customerPhone + '\'' +
                ", company='" + company + '\'' +
                ", createTime='" + createTime + '\'' +
                ", batchNumber='" + batchNumber + '\'' +
                ", operType=" + operType +
                ", batchStatus=" + batchStatus +
                '}';
    }
}
